OpenTTD

Functions
roadveh_gui.cpp File Reference

GUI for road vehicles. More...

`#include "stdafx.h"`
`#include "roadveh.h"`
`#include "window_gui.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "string_func.h"`
`#include "zoom_func.h"`
`#include "table/strings.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | DrawRoadVehDetails (const Vehicle *v, int left, int right, int y)
| Draw the details for the given vehicle at the given position. More...
void | DrawRoadVehImage (const Vehicle *v, int left, int right, int y, VehicleID selection, EngineImageType image_type, int skip)
| Draws an image of a road vehicle chain. More...

## Detailed Description

GUI for road vehicles.

Definition in file roadveh_gui.cpp.

## Function Documentation

## ◆ DrawRoadVehDetails()

void DrawRoadVehDetails | ( | const Vehicle * | v,
|  | int | left,
|  | int | right,
|  | int | y
| ) |  |

Draw the details for the given vehicle at the given position.

Parameters

  v | current vehicle
  left | The left most coordinate to draw
  right | The right most coordinate to draw
  y | The y coordinate

Definition at line 32 of file roadveh_gui.cpp.

## ◆ DrawRoadVehImage()

void DrawRoadVehImage | ( | const Vehicle * | v,
|  | int | left,
|  | int | right,
|  | int | y,
|  | VehicleID | selection,
|  | EngineImageType | image_type,
|  | int | skip
| ) |  |

Draws an image of a road vehicle chain.

Parameters

  v | Front vehicle
  left | The minimum horizontal position
  right | The maximum horizontal position
  y | Vertical position to draw at
  selection | Selected vehicle to draw a frame around
  skip | Number of pixels to skip at the front (for scrolling)

Definition at line 131 of file roadveh_gui.cpp.